| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csver.h File Reference

Crystal Space Version Information. More...

Go to the source code of this file.

## Defines
#define | CS_COMPILER_NAME "MysteryCompiler"
| Name of the compiler CS is compiled with (i.e. GCC).
#define | CS_PLATFORM_NAME "MysteryPlatform"
| Name of the platform CS is compiled for (i.e. Win32).
#define | CS_PROCESSOR_NAME "MysteryProcessor"
| Name of the processor CS is compiled for (i.e. X86).
#define | CS_RELEASE_DATE CS_VER_QUOTE(Mon 1-Aug-2007)
| Date of release.
#define | CS_VER_QUOTE(X) #X
#define | CS_VERSION
| A complete version string, including platform, processor and compiler.
#define | CS_VERSION_BUILD CS_VER_QUOTE(2)
| Maintenance release / RC.
#define | CS_VERSION_MAJOR CS_VER_QUOTE(1)
| Major version.
#define | CS_VERSION_MINOR CS_VER_QUOTE(0)
| Minor version (even are stable versions, odd are development versions).
#define | CS_VERSION_NUMBER
| A complete version number.

## Detailed Description

Crystal Space Version Information.

Definition in file csver.h.

## Define Documentation

#define CS_COMPILER_NAME "MysteryCompiler"

Name of the compiler CS is compiled with (i.e. GCC).

Definition at line 61 of file csver.h.

#define CS_PLATFORM_NAME "MysteryPlatform"

Name of the platform CS is compiled for (i.e. Win32).

Definition at line 43 of file csver.h.

#define CS_PROCESSOR_NAME "MysteryProcessor"

Name of the processor CS is compiled for (i.e. X86).

Definition at line 52 of file csver.h.

#define CS_RELEASE_DATE CS_VER_QUOTE(Mon 1-Aug-2007)

Date of release.

Definition at line 37 of file csver.h.

#define CS_VERSION

Value:

    CS_VERSION_NUMBER \
      " [" CS_PLATFORM_NAME "-" CS_PROCESSOR_NAME "-" CS_COMPILER_NAME "]"

A complete version string, including platform, processor and compiler.

Definition at line 74 of file csver.h.

#define CS_VERSION_BUILD CS_VER_QUOTE(2)

Maintenance release / RC.

Definition at line 35 of file csver.h.

#define CS_VERSION_MAJOR CS_VER_QUOTE(1)

Major version.

Definition at line 31 of file csver.h.

#define CS_VERSION_MINOR CS_VER_QUOTE(0)

Minor version (even are stable versions, odd are development versions).

Definition at line 33 of file csver.h.

#define CS_VERSION_NUMBER

Value:

    CS_VERSION_MAJOR "." CS_VERSION_MINOR "." \
      CS_VERSION_BUILD

A complete version number.

Definition at line 70 of file csver.h.